% "Copyright (c) 2008 Stanford University. All rights reserved.
% 
% Permission to use, copy, modify, and distribute this software and
% its documentation for any purpose, without fee, and without written
% agreement is hereby granted, provided that the above copyright
% notice, the following two paragraphs and the author appear in all
% copies of this software.
% 
% IN NO EVENT SHALL STANFORD UNIVERSITY BE LIABLE TO ANY PARTY FOR
% DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
% ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
% IF STANFORD UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
% DAMAGE.
% 
% STANFORD UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES,
% INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
% MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
% PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND STANFORD UNIVERSITY
% HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
% ENHANCEMENTS, OR MODIFICATIONS."
% 
%  
% This function returns the positions of 16 way-points.
% 
% @author HyungJune Lee, Martin Wicke, Branislav Kusy, Leonidas Guibas
%         (hyungjune.lee@gmail.com)
% 
% @date   Nov 7 2008
% 
% leftmost-bottommost: (0,0)
% geo: [Way-point-ID   X(m)   Y(m)]

w_pixel = [1513 730];
w_geo = [61.5 29.3];

pixel = [...
    1172 494;
    1258 493;
    1473 490;
    1474 220;
    1501 3;
    1235 92;
    1258 252;
    1276 211;
    1252 179;
    1218 180;
    968 353;
    925 353;
    908 463;
    908 503;
    605 488;
    614 334];

geo = [w_geo(1)*pixel(:,1)/w_pixel(1) w_geo(2)*pixel(:,2)/w_pixel(2)];
geo(:,2) = w_geo(2)-geo(:,2);
geo = [(1:length(pixel(:,1)))' geo];